corda / net.corda.node / InteractiveShell

# InteractiveShell

`object InteractiveShell`

### Types

InputStreamDeserializer | `object InputStreamDeserializer : JsonDeserializer<InputStream>`

### Exceptions

NoApplicableConstructor | `class NoApplicableConstructor : Exception`

### Functions

runFlowByNameFragment | `fun runFlowByNameFragment(nameFragment: String, inputData: String, output: RenderPrintWriter): Unit` Called from the 'flow' shell command. Takes a name fragment and finds a matching flow, or prints out the list of options if the request is ambiguous. Then parses inputData as constructor arguments using the runFlowFromString method and starts the requested flow using the ANSIProgressRenderer to draw the progress tracker. Ctrl-C can be used to cancel.
runFlowFromString | `fun runFlowFromString(invoke: (FlowLogic<*>) -> FlowStateMachine<*>, inputData: String, clazz: Class<out FlowLogic<*>>, om: ObjectMapper = yamlInputMapper): FlowStateMachine<*>` Given a FlowLogic class and a string in one-line Yaml form, finds an applicable constructor and starts the flow, returning the created flow logic. Useful for lightweight invocation where text is preferable to statically typed, compiled code.
runRPCFromString | `fun runRPCFromString(input: List<String>, out: RenderPrintWriter, context: InvocationContext<out Any>): Any?`
startShell | `fun startShell(dir: Path, runLocalShell: Boolean, runSSHServer: Boolean, node: Node): Unit` Starts an interactive shell connected to the local terminal. This shell gives administrator access to the node internals.